Find a game from a platform's own id
curl --request GET \
--url https://api.vatic.trading/api/v1/games/lookup \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vatic.trading/api/v1/games/lookup"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vatic.trading/api/v1/games/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/games/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/games/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/games/lookup")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/games/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"game_id": "<string>",
"confidence": "exact",
"rule": "<string>",
"role": "<string>",
"source": "<string>",
"external_id": "<string>"
},
"meta": {
"as_of": "2023-11-07T05:31:56Z",
"redistributable_filter": "yes_only",
"venues_checked": [
"<string>"
],
"total": 123,
"withheld": {
"games": 123,
"reason": "<string>"
}
}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}Game Graph
Look up a game from a platform id
Maps an id that a platform uses (for Polymarket: the event slug, main or child event) to our game id. Useful for migrating an integration that is keyed by platform ids.
GET
/
api
/
v1
/
games
/
lookup
Find a game from a platform's own id
curl --request GET \
--url https://api.vatic.trading/api/v1/games/lookup \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vatic.trading/api/v1/games/lookup"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vatic.trading/api/v1/games/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vatic.trading/api/v1/games/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vatic.trading/api/v1/games/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vatic.trading/api/v1/games/lookup")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vatic.trading/api/v1/games/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"game_id": "<string>",
"confidence": "exact",
"rule": "<string>",
"role": "<string>",
"source": "<string>",
"external_id": "<string>"
},
"meta": {
"as_of": "2023-11-07T05:31:56Z",
"redistributable_filter": "yes_only",
"venues_checked": [
"<string>"
],
"total": 123,
"withheld": {
"games": 123,
"reason": "<string>"
}
}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>"
}Authorizations
Required for order endpoints. Obtain your API key from the Vatic dashboard.
Query Parameters
Example:
"polymarket"
Example:
"epl-ars-lee-2026-10-10"
Was this page helpful?